Does 11.2 Brick CFWS?

Discussion in '3DS - Flashcards & Custom Firmwares' started by GibFTW, Nov 25, 2016.

  1. GibFTW
    OP

    GibFTW GBAtemp Regular

    Member
    231
    52
    Aug 18, 2016
    United States
    I heard somebody bricked when updating to 11.2, is this normal? And is there a way to limit what version your CFW updates to? And remove update nagging?
     
  2. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    If you on A9LHv4 + Luma3DS 6.6, you can update without problem.
    What we would like to know is your current setting so we can give you help or advice.
     
  3. Aletron9000

    Aletron9000 3DS Master

    Member
    1,591
    444
    May 10, 2016
    United States
    3DS ARM9 CPU
    What is A9LH v4? I have v3 O3DS
     
    Last edited by Aletron9000, Nov 25, 2016
  4. GibFTW
    OP

    GibFTW GBAtemp Regular

    Member
    231
    52
    Aug 18, 2016
    United States
    I haven't yet recieved my 3DS, but I will tell y'all when I get it (and mod it, hehehe)
     
  5. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    A9LH v4 is A9LH with an abilty to boot CFW that support this function from CTRNAND.
    This means, if CFW is installed in CTRNAND, 3DS will boot into CFW with firm0/1 protection when there is no SD card insert.
    This fuction design to use as a false safe when your SD card broken.
     
  6. Aletron9000

    Aletron9000 3DS Master

    Member
    1,591
    444
    May 10, 2016
    United States
    3DS ARM9 CPU
    But v3 a9lh already does that. What would they change in v4?
     
  7. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    May be @Aurora Wright fix something in v4? According to GitHub page: https://github.com/AuroraWright/arm9loaderhax/releases
    Lastest version is v4 release on Oct 18, 2016. If I remember correctly, v3 suppose to be beta version of CTRNAND loader.
    Since the CTRNAND guide with using Luma 3DS nightly is posted on Oct 17, after v3 Release date on Oct 6 and before Oct 18.
    https://www.reddit.com/r/3dshacks/comments/57zm0b/how_to_install_sdless_a9lh_with_luma_3ds_nightly/
     
  8. PetitMagique

    PetitMagique GBAtemp Regular

    Member
    117
    31
    Jan 4, 2016
    United States
    Correct me if I'm wrong but I have the original A9LH (delebile) you had to compile with your OTP and am currently running Luma 6.6 with updated SysNAND 11.2. The FIRM overwrite protection is in the CFW (ie. Luma3DS) not the loader payload.
     
    Last edited by PetitMagique, Nov 25, 2016
  9. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    If you install A9LH before Oct 7, Correct. Your console is run on A9LHv2 which doesn't have firm0/1 protection on payload.
    You should Update your A9LH file to v4, then install Luma3DS 6.6 on your CTRNAND.
     
  10. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,170
    1,324
    Aug 5, 2007
    Dumb question, is v4 only for N3DS? The latest SafeA9LHInstaller doesn't work and v4 files throws a firm1.bin corrupt for me. The guide say a9hlv3 and 2.0.3 only works with the O3DS, and they sure did.
     
  11. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    I'm currently have A9LHv4 installed on my JP O3DS so it's possible. I'm just not sure which SafeA9LHInstaller version I used at that time.
     
  12. PetitMagique

    PetitMagique GBAtemp Regular

    Member
    117
    31
    Jan 4, 2016
    United States
    Got it! Yeah, I think I installed in April or May of this year.
     
  13. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,170
    1,324
    Aug 5, 2007
  14. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    Now I understand what you ask, the things you mention is data_input version, not A9LH version.
    I'm currently runing data_input_v3 on both US N3DS & JP O3DS, may be updating it later.
     
  15. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    After checking something, I realise what the correct version of A9LH
    • A9LHv1: Initial release.
    • A9LHv2: Using tha larger payload & Make it more safer to install
    • A9LH SDless (Unofficial): Merge both Screen init and non Screen init into one, add internal CFW & firm0/1 protection. Has a problem with TWL Firm.
    • A9LH ScreenMerge Build (or v3): Remove internal CFW & firm0/1 protection, but retain Screen init + non Screen init merged.
    • A9LH CTRNand Build (or v4): Full CTRNAND loader Function.
    Edit:: Fixd my misunderstanding
     
    Last edited by nechigawara, Nov 30, 2016
  16. SomeGamer

    SomeGamer GBAtemp Guru

    Member
    5,758
    2,713
    Dec 19, 2014
    Hungary
    Sorry for hijacking this thread a bit, but how can I tell if I have A9LH v3 or v4?
     
  17. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    If you installed or updated A9LH between Oct 7 to Oct 16, your console should have A9LHv3. After that, your console have A9LHv4.

    Also, if when you installed or updated A9LH, you didn't do anything with CTRNAND, your console should have A9LHv3 or lower.
    You can also try by booting your 3DS without SD card and see if Luma3DS is loaded or not.
     
  18. SomeGamer

    SomeGamer GBAtemp Guru

    Member
    5,758
    2,713
    Dec 19, 2014
    Hungary
    I don't know when I updated, but what I know is that I've never installed unofficial SDless and that arm9loaderhax.bin loading works from CTRNAND.
     
  19. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,168
    389
    Oct 14, 2006
    Thailand
    Planeptune
    Then you should have A9LHv4, since A9LHv3 only have Implement CTRNAND loader but not in usable state.
     
    SomeGamer likes this.
  20. TheNative

    TheNative Member

    Newcomer
    12
    1
    Jul 23, 2014
    United States
    no
     
    Last edited by TheNative, Nov 25, 2016